| scorecmapdir

## Function

Contact scores for cleaned protein chain contact files

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

Under development, no final example yet

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-cmapdir]           dirlist    Directory of cleaned-chain contact map files
      [-scoredcmapdir]     outdir     Directory where scored contact map files
                                      will be written
      [-outfileextension]  string     Appended to end of all output file names

       Additional (Optional) qualifiers:
       -contactscoringfile matrixf    Matrix of scores for frequency of contacts
                                      between specific amino acid residue types

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers: (none)
       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-cmapdir] (Parameter 1) | Directory of cleaned-chain contact map files | Directory with files | ./contacttest/cmap
[-scoredcmapdir] (Parameter 2) | Directory where scored contact map files will be written | Output directory | ./contacttest/scored_cmap
[-outfileextension] (Parameter 3) | Appended to end of all output file names | Any string is accepted | .cmap2
Additional (Optional) qualifiers | Allowed values | Default
-contactscoringfile | Matrix of scores for frequency of contacts between specific amino acid residue types | Comparison matrix file in EMBOSS data path | ./contacttest/testLOscores26Apr05.dat
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

scorecmapdir reads any normal sequence USAs.

Under development, no example input file(s) yet

## Output file format

scorecmapdir outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

Under development, no example output file(s) yet

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
contactcount | Count specific versus non-specific contacts
contacts | Generate intra-chain CON files from CCF files
domainalign | Generate alignments (DAF file) for nodes in a DCF file
domainrep | Reorder DCF file to identify representative structures
domainreso | Remove low resolution domains from a DCF file
interface | Generate inter-chain CON files from CCF files
libgen | Generate discriminating elements from alignments
matgen3d | Generate a 3D-1D scoring matrix from CCF files
psiphi | Phi and psi torsion angles from protein coordinates
rocon | Generates a hits file from comparing two DHF files
rocplot | Performs ROC analysis on hits files
seqalign | Extend alignments (DAF file) with sequences (DHF file)
seqfraggle | Removes fragment sequences from DHF files
seqsearch | Generate PSI-BLAST hits (DHF file) from a DAF file
seqsort | Remove ambiguous classified sequences from DHF files
seqwords | Generates DHF files from keyword search of UniProt
siggen | Generates a sparse protein signature from an alignment
siggenlig | Generate ligand-binding signatures from a CON file
sigscan | Generate hits (DHF file) from a signature search
sigscanlig | Search ligand-signature library & write hits (LHF file)

## Author(s)

Damian Counsell (d.counsell © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None